FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Namespaces | Enumerations | Functions
string_internal.hpp File Reference

Go to the source code of this file.

## Namespaces
namespace | ftxui
| The FTXUI ftxui:: namespace.

## Enumerations
enum class | WordBreakProperty : int8_t { ALetter , CR , Double_Quote , Extend , ExtendNumLet , Format , Hebrew_Letter , Katakana , LF , MidLetter , MidNum , MidNumLet , Newline , Numeric , Regional_Indicator , Single_Quote , WSegSpace , ZWJ }

## Functions
bool | EatCodePoint (const std::string &input, size_t start, size_t *end, uint32_t *ucs)
bool | EatCodePoint (const std::wstring &input, size_t start, size_t *end, uint32_t *ucs)
bool | IsCombining (uint32_t ucs)
bool | IsFullWidth (uint32_t ucs)
bool | IsControl (uint32_t ucs)
size_t | GlyphPrevious (const std::string &input, size_t start)
size_t | GlyphNext (const std::string &input, size_t start)
size_t | GlyphIterate (const std::string &input, int glyph_offset, size_t start)
int | GlyphCount (const std::string &input)
WordBreakProperty | CodepointToWordBreakProperty (uint32_t codepoint)
std::vector< WordBreakProperty > | Utf8ToWordBreakProperty (const std::string &input)
bool | IsWordBreakingCharacter (const std::string &input, size_t glyph_index)